-- dblua
cgilua.loadlibrary( 'dblua', 'dbgraflib_open' )

function cgilua.dbluaerrorfb( s )
  cgilua.dblua_error = s
end

cgilua.DBOpen = DBOpen
function DBOpen( str )
   local oldfb = seterrormethod( cgilua.dbluaerrorfb )

   cgilua.dblua_error = nil
   dostring( 'cgilua.DBOpen( "'..str..'" )')
   seterrormethod( oldfb )
   return cgilua.dblua_error
end

-- Escape string for use with ODBC char types

function cgilua.dblua_escape( s )
  if not s then return "''" end
  s = gsub( s, "'", "''")
  return "'"..s.."'"
end

